import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
df=pd.read_csv("earth_quakes.csv")
dates = df.groupby("date").count()
print(dates["time"][dates["time"]==max(dates["time"])])
print(round(df["depth"].mean(),3))
df.insert(0,"date_num",0)
df.insert(0,"year",0)
for i in range(0,len(df)):
    df["date_num"][i]=(int((df["date"][i])[:4])-1900)*12+int((df["date"][i])[-5:-3])
    df["year"][i]=(df["date"][i])[:4]
print(round(df["depth"][df["date_num"]>=204].mean(),3))
print(df["mag"].quantile(0.25))
print(df["mag"].quantile(0.42))
print(df[df["date_num"]<1200].groupby("net").count())
print(df[df["date_num"]>=1200].groupby("net").count())
print(df["nst"].unique())
places=df["place"]
for i in range(0,len(places)):
    places[i]=(str(places[i]).split(','))[-1]
places1=places.groupby(places).count()
print(places1[places1==max(places1)])
plt.hist(df["depth"])
plt.show()
plt.bar(df["depth"],df["mag"])
plt.show()
print(df["depth"].corr(df["mag"]))